package com.qmth.distributed.print.aiDataStatistics.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

public class AiDataExportDto {

    @ExcelColumn(name = "学号1", index = 1)
    private String studentCode1;
    @ExcelColumn(name = "姓名1", index = 2)
    private String studentName1;
    @ExcelColumn(name = "学号2", index = 3, nullable = true)
    private String studentCode2;
    @ExcelColumn(name = "姓名2", index = 4, nullable = true)
    private String studentName2;
    @ExcelColumn(name = "学生1人评分", index = 5, nullable = true)
    private Double personScore1;
    @ExcelColumn(name = "学生2人评分", index = 6, nullable = true)
    private Double personScore2;
    @ExcelColumn(name = "学生1机评分", index = 7, nullable = true)
    private Double aiScore1;
    @ExcelColumn(name = "学生2机评分", index = 8, nullable = true)
    private Double aiScore2;
    @ExcelColumn(name = "OCR结果重复率", index = 9, nullable = true)
    private int ocrDiv;
    @ExcelColumn(name = "字符相似度", index = 10, nullable = true)
    private Double distance;
    @ExcelColumn(name = "学生1百度OCR识别结果", index = 11, nullable = true)
    private String ocrResult1;
    @ExcelColumn(name = "学生2百度OCR识别结果", index = 12, nullable = true)
    private String ocrResult2;

    public String getStudentCode1() {
        return studentCode1;
    }

    public void setStudentCode1(String studentCode1) {
        this.studentCode1 = studentCode1;
    }

    public String getStudentName1() {
        return studentName1;
    }

    public void setStudentName1(String studentName1) {
        this.studentName1 = studentName1;
    }

    public String getStudentCode2() {
        return studentCode2;
    }

    public void setStudentCode2(String studentCode2) {
        this.studentCode2 = studentCode2;
    }

    public String getStudentName2() {
        return studentName2;
    }

    public void setStudentName2(String studentName2) {
        this.studentName2 = studentName2;
    }

    public Double getPersonScore1() {
        return personScore1;
    }

    public void setPersonScore1(Double personScore1) {
        this.personScore1 = personScore1;
    }

    public Double getPersonScore2() {
        return personScore2;
    }

    public void setPersonScore2(Double personScore2) {
        this.personScore2 = personScore2;
    }

    public Double getAiScore1() {
        return aiScore1;
    }

    public void setAiScore1(Double aiScore1) {
        this.aiScore1 = aiScore1;
    }

    public Double getAiScore2() {
        return aiScore2;
    }

    public void setAiScore2(Double aiScore2) {
        this.aiScore2 = aiScore2;
    }

    public int getOcrDiv() {
        return ocrDiv;
    }

    public void setOcrDiv(int ocrDiv) {
        this.ocrDiv = ocrDiv;
    }

    public Double getDistance() {
        return distance;
    }

    public void setDistance(Double distance) {
        this.distance = distance;
    }

    public String getOcrResult1() {
        return ocrResult1;
    }

    public void setOcrResult1(String ocrResult1) {
        this.ocrResult1 = ocrResult1;
    }

    public String getOcrResult2() {
        return ocrResult2;
    }

    public void setOcrResult2(String ocrResult2) {
        this.ocrResult2 = ocrResult2;
    }
}
