package com.qmth.teachcloud.data.service;


import com.qmth.distributed.print.business.bean.params.SysAdminSetParam;
import com.qmth.teachcloud.data.dto.SyncDataResult;
import com.qmth.teachcloud.data.entity.TSyncData;
import org.springframework.jdbc.core.JdbcTemplate;

public interface DataService {
    boolean testConnect(SysAdminSetParam sysAdminSetParam);
    void syncData(Long schoolId, Long examId, TSyncData syncData);

    SyncDataResult syncOrg(JdbcTemplate jdbcTemplate, Long schoolId, Long examId, String datasourceType);

    SyncDataResult syncUser(JdbcTemplate jdbcTemplate, Long schoolId, Long examId, String datasourceType);

    SyncDataResult syncCourse(JdbcTemplate jdbcTemplate, Long schoolId, Long examId, String datasourceType);

    SyncDataResult syncStudent(JdbcTemplate jdbcTemplate, Long schoolId, Long examId, String datasourceType, String xn, String xq, String ksmc);

    SyncDataResult syncExamTask(JdbcTemplate jdbcTemplate, Long schoolId, Long examId, String datasourceType, String xn, String xq, String ksmc);
}
