USE teachcloud_db;

INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('3080', '评卷员绑定参数查询', '/api/admin/set/bind/marker/set/select', 'URL', '508', '23', 'AUTH', '1', '0', '1');
INSERT INTO `sys_privilege` (`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `enable`, `default_auth`, `front_display`) VALUES ('3081', '评卷员绑定参数保存', '/api/admin/set/bind/marker/set/save', 'URL', '508', '24', 'AUTH', '1', '0', '1');

ALTER TABLE `exam_task` ADD COLUMN `class_desc` VARCHAR(2000) NULL COMMENT '班级组成' AFTER `teacher_name`;

UPDATE `sys_privilege` SET `url` = '/api/mark/getQuestions' WHERE (`id` = '889');

ALTER TABLE `mark_question` ADD COLUMN `question_pic_list` VARCHAR(500) NULL COMMENT '填空题单题区域坐标' AFTER `pic_list`;

UPDATE `sys_config` SET `config_value` = '[{\"name\":\"A3\",\"size\":\"297*420\"}, {\"name\":\"8K\",\"size\":\"270*390\"}, {\"name\":\"A4\",\"size\":\"210*297\"}, {\"name\":\"B4\",\"size\":\"250*353\"}]' WHERE (`id` = '43');

-- 2025-05-31
CREATE INDEX index3 USING BTREE ON basic_exam_student (school_id,semester_id,course_id,teacher_id);

UPDATE `sys_config` SET `config_value` = '[{\"name\":\"A3\",\"size\":\"297*420\"}, {\"name\":\"A4\",\"size\":\"210*297\"}, {\"name\":\"A5\",\"size\":\"148*210\"}, {\"name\":\"B3\",\"size\":\"353*500\"}, {\"name\":\"B4\",\"size\":\"250*353\"}, {\"name\":\"B5\",\"size\":\"176*250\"}, {\"name\":\"8K\",\"size\":\"270*390\"}]' WHERE (`id` = '8');
UPDATE `sys_config` SET `config_value` = '[{\"name\":\"A3\",\"size\":\"420*297\"}, {\"name\":\"8K\",\"size\":\"390*270\"}, {\"name\":\"A4\",\"size\":\"210*297\"}, {\"name\":\"B4\",\"size\":\"353*250\"}]' WHERE (`id` = '43');


UPDATE `sys_privilege` SET `related` = '67,68' WHERE (`id` = '273');
