package com.qmth.distributed.print.aiDataStatistics.dto;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;

public class AiDataReportDto {

    @ExcelColumn(name = "满分", index = 1)
    private Double fullScore;
    @ExcelColumn(name = "样本数", index = 2)
    private int sampleCount;
    @ExcelColumn(name = "人评均分", index = 3, nullable = true)
    private Double personAvgScore;
    @ExcelColumn(name = "一致率分值", index = 4, nullable = true)
    private Double consistentScore;
    @ExcelColumn(name = "有效样本数", index = 5, nullable = true)
    private int effectiveSampleCount;
    @ExcelColumn(name = "相关系数", index = 6, nullable = true)
    private Double relateCoefficient;
    @ExcelColumn(name = "机评均分", index = 7, nullable = true)
    private Double aiAvgScore;
    @ExcelColumn(name = "均分差值", index = 8, nullable = true)
    private Double avgDiv;
    @ExcelColumn(name = "一致率", index = 9, nullable = true)
    private Double consistentRate;
    @ExcelColumn(name = "一致率样本数", index = 10, nullable = true)
    private int consistentSampleCount;
    @ExcelColumn(name = "人评一分一段", index = 11, nullable = true)
    private String personInterval;
    @ExcelColumn(name = "机评一分一段", index = 12, nullable = true)
    private String aiInterval;

    public Double getFullScore() {
        return fullScore;
    }

    public void setFullScore(Double fullScore) {
        this.fullScore = fullScore;
    }

    public int getSampleCount() {
        return sampleCount;
    }

    public void setSampleCount(int sampleCount) {
        this.sampleCount = sampleCount;
    }

    public Double getPersonAvgScore() {
        return personAvgScore;
    }

    public void setPersonAvgScore(Double personAvgScore) {
        this.personAvgScore = personAvgScore;
    }

    public Double getConsistentScore() {
        return consistentScore;
    }

    public void setConsistentScore(Double consistentScore) {
        this.consistentScore = consistentScore;
    }

    public int getEffectiveSampleCount() {
        return effectiveSampleCount;
    }

    public void setEffectiveSampleCount(int effectiveSampleCount) {
        this.effectiveSampleCount = effectiveSampleCount;
    }

    public Double getRelateCoefficient() {
        return relateCoefficient;
    }

    public void setRelateCoefficient(Double relateCoefficient) {
        this.relateCoefficient = relateCoefficient;
    }

    public Double getAiAvgScore() {
        return aiAvgScore;
    }

    public void setAiAvgScore(Double aiAvgScore) {
        this.aiAvgScore = aiAvgScore;
    }

    public Double getAvgDiv() {
        return avgDiv;
    }

    public void setAvgDiv(Double avgDiv) {
        this.avgDiv = avgDiv;
    }

    public Double getConsistentRate() {
        return consistentRate;
    }

    public void setConsistentRate(Double consistentRate) {
        this.consistentRate = consistentRate;
    }

    public int getConsistentSampleCount() {
        return consistentSampleCount;
    }

    public void setConsistentSampleCount(int consistentSampleCount) {
        this.consistentSampleCount = consistentSampleCount;
    }

    public String getPersonInterval() {
        return personInterval;
    }

    public void setPersonInterval(String personInterval) {
        this.personInterval = personInterval;
    }

    public String getAiInterval() {
        return aiInterval;
    }

    public void setAiInterval(String aiInterval) {
        this.aiInterval = aiInterval;
    }
}
